Danielle Kerns

System requirements reminder!

Discussion created by Danielle Kerns on Jul 26, 2019

Just a quick note to remind you about our Secure Testing Browser system requirements for the upcoming school year:

 

  • As of July 2019, the minimum STB for Window devices is 5.4.117. Although it is recommended to update to the latest version - 5.4.148.0, it's not required until November 2019.
  • Macs require version  4.0.0.3 or higher.

 

For all other devices and OS's take a look at our full System Requirements guide located in the MAP Help Center.

 

Unsure of which Secure Testing Browser you have on a device or how to install the newest version? Read on with How to download, install, or update NWEA Secure Testing Browser for Mac or Windows

 

Questions? Connect with our Partner Support team and we'll get you going! 

Outcomes